Mod-pH
======

> [Datasheet](https://ufire.dev/files/mod-ph_datasheet.pdf) 📜

Add the ability to measure pH to your hardware application with a fully digital interface.

#### Summary ℹ️

*   pH range of 0.001 to 14.000 pH units
*   Accuracy ±0.002 pH units
*   Resolution 0.001 pH units
*   Temperature compensated
*   I²C, UART, and USB interfaces
*   1-Wire interface for DS18B20 temperature sensor
*   25x15 mm for castellated or DIP mounting
*   Single, dual, and triple point calibration

* * *

### Use

*   [I²C Arduino Library Documentation](https://ufire.dev/files/mod-ph_arduino_library.pdf)
*   [I²C Raspberry Pi Python Documentation](https://ufire.dev/files/mod-ph_raspberrypi_library.pdf)

* * *

### Design ✒️

Adding a module to your own design is straightforward. You'll need:

1.  bus connection to your controlling device (I2C, UART, USB)
2.  clean, preferably isolated, power supply
3.  probe connection (U.FL, BNC, terminal block)

Some resources to get started:

*   [Schematic of the Isolated Dev Board](https://ufire.dev/files/isolated_qwiic_dev_board_schematic.pdf)
*   Design Incorporation section of the [Datasheet](https://ufire.dev/files/mod-ph_datasheet.pdf)

> [Request a custom board](https://docs.google.com/forms/d/e/1FAIpQLSfiCyjnq35GVyaRjVw6HphhNFNmoyi723qlqVLjUhc-TrmvfQ/viewform)

* * *

#### Ask a question 🤙

*   [Support Request](https://docs.google.com/forms/d/e/1FAIpQLSekGsS88VkVGCOdW58-MLXKEMpZ8m3PTjGt28sdiWZpEqDXPg/viewform)
*   [Discord](https://discord.gg/rAnZPdW)

* * *
### Buy One
[Mod-pH](https://ufire.co) - just the sensor

[Isolated Qwiic Dev Board](https://ufire.co) - all the components needed to use the module